Set Primary Email
Sets the primary email address for the authenticated user. The email must match one of the trusted emails from the user's existing connections.
Required scopes: auth:account:edit
Authorization
BearerAuth JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.
In: header
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
The email address to set as primary (must match a trusted connection email)
emailResponse Body
application/json
application/json
curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.AccountService/SetPrimaryEmail" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Remove Connection POST
Unlinks an identity provider from the authenticated user's account. At least one connection must remain. **Required scopes:** `auth:account:edit`
Upload Avatar POST
Uploads a custom avatar image for the authenticated user. This will prevent future automatic syncs from identity providers. **Required scopes:** `auth:account:edit`